/* general styles - applicable to both public & legislative */

.divider {
    height: 0.8rem;
    background: linear-gradient(var(--gray1) 20%, var(--gray2) 30%, var(--gray3) 40%, var(--text) 50%, var(--gray3) 60%, var(--gray2) 70%, var(--gray1) 80%)
}


#rec-events-sec {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 8%;
    margin: 0 auto;
    width: 90%;
}

#event-toggle1,
#event-toggle2 {
    display: none;
}

.rec-events-cont1 {
    width: 46%;
    max-width: 60rem;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.rec-events-cont1 h2 {
    text-align: center;
    margin: 0 0 0.5rem 0;
    font-size: 2.7rem;
}

.rec-events-cont1 h2 a {
    color: var(--text);
    text-decoration: none;
    pointer-events: none;
}

.rec-events-cont1 h2 a:visited {
    color: inherit;
}

#search-input-pub,
#search-input-leg {
    width: 20rem;
    height: 2.2rem;
    margin: 0.5rem 0 3rem 0;
    padding-left: 2.5rem;
}

.mag-glass {
    position: absolute;
    font-size: 1.5rem;
    font-weight: bold;
    padding-left: 0.6rem;
    transform: translate(0, 60%);
}

.spinner-cont {
    display: flex;
    justify-content: center;
}

.loadingSpinner {
    margin-top: 15%;
}

.rec-events-cont2 {
    height: 50rem;
    width: 100%;
    margin: 0rem auto 6rem auto;
    background: var(--ggray1);
    overflow-y: scroll;
    overflow-x: hidden;
    /*border-right: 1rem solid var(--gray);*/
    border-top: 2rem solid var(--gray3);
    border-bottom: 2rem solid var(--gray3);
    /*border-radius: 2%;*/
    -webkit-box-shadow: 2px 2px 15px 0px #000000;
    box-shadow: 2px 2px 15px 0px #000000;
    color: var(--blue1);
}

.rec-events-cont3 {
    margin: 3rem 1rem 3rem 1.5rem;
    display: flex;
    flex-direction: column;
}

.rec-events-div1 {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.rec-events-div2 {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin: 0rem 0rem 1rem 0rem;
    padding-bottom: 1%;
    border-bottom: 1px solid var(--gray5);
}

.rec-event-pol-party-color {
    width: 0.6rem;
    border-radius: 1rem;
    padding: 0.1rem 0.1rem 0.1rem 0.1rem;
    margin-bottom: 0.3rem;
    height: 100%;
}

[data-party='Democrat'].rec-event-pol-party-color {
    background-color: var(--dems);
}

[data-party='Republican'].rec-event-pol-party-color {
    background-color: var(--reps);
}

[data-party='Independent'].rec-event-pol-party-color {
    background-color: var(--inds);
}

[data-party='Green'].rec-event-pol-party-color {
    background-color: var(--grns);
}


.rec-event-pol-name {
    font-size: 1.8rem;
    margin-bottom: 2%;
}

.rec-event-pol-name a {
    color: var(--blue1);
    text-decoration: none;
}

.rec-event-pol-name a:hover {
    text-decoration: underline;
}

.rec-event-pol-name a:visited {
    color: var(--blue1);
}

.election-candidate {
    padding: 0rem 0.4rem 0rem 0.4rem;
    font-size: 1.2rem;
    width: fit-content;
    background: var(--cyan2);
    color: var(--blue4);
    border: 1px solid var(--gray5)
}

.rec-event-pol-office {
    font-size: 1.2rem;
}

.rec-event-pol-office a {
    color: var(--blue1);
    text-decoration: none;
}

.rec-event-pol-office a:hover {
    text-decoration: underline;
}

.rec-event-act {
    font-size: 1.2rem;
}

.rec-events-div3 {
    display: flex;
    margin: 0rem 0 0.5rem 0;
    padding-bottom: 1rem;
    border-bottom: 1px solid var(--gray5);
}

.rec-event-quote {
    margin-left: 1rem;
    font-size: 1.3rem;
    font-style: italic;
    text-align: left;
}

.rec-events-div4 {
    display: flex;
    align-items: center;
    flex-direction: row;
    justify-content: space-between;
    margin-top: 0.5rem;
}

.rec-events-div4-1 {
    display: flex;
    align-items: center;
    flex-direction: row;
    width: 50%;
    margin-top: 0.5rem;
}



.rec-event-sentiment-label {
    margin: 0rem 0.8rem 0 1.2rem;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    font-weight: bold;
    font-size: 1.6rem;
}

.rec-event-sentiment {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    color: white;
    width: 50%;
    border-radius: 1rem;
    border: 0.1rem solid var(--gray5);
    box-shadow: 0 0.2rem 1rem rgba(0, 0, 0, 0.2);
    font-size: 1.4rem;
    padding: 1% 0% 2% 0%;
}

[data-sentiment='Strongly Pro'].rec-event-sentiment {
    background-color: var(--strongly-pro);
}

[data-sentiment='Slightly Pro'].rec-event-sentiment {
    background-color: var(--slightly-pro);
}

[data-sentiment='Neutral'].rec-event-sentiment {
    background-color: var(--neutral);
}

[data-sentiment='Slightly Anti'].rec-event-sentiment {
    background-color: var(--slightly-anti);
}

[data-sentiment='Strongly Anti'].rec-event-sentiment {
    background-color: var(--strongly-anti);
}

[data-sentiment='Not enough data'].rec-event-sentiment {
    background-color: var(--not-enough-data);
}

.rec-event-src-logo {
    font-size: 1.6rem;
    margin-right: 2%;

}

.rec-event-link {
    margin-right: 3%;
    margin-bottom: 3%
}

.rec-event-link a {
    text-decoration: none;
    font-size: 1.2rem;
}

.rec-event-link a:hover {
    text-decoration: underline;
}


/* public statement */

.rec-events-div2-1.pub {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.rec-events-div2-1-1.pub {
    display: flex;
    flex-direction: row;
}

.rec-event-pol-party.pub {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-right: 0.5rem;
    margin-top: 1%;
    height: 95%;
}

.rec-event-pol-image-div.pub {
    margin-top: 1%;
    margin-right: 1rem;
}

.rec-event-pol-image.pub {
    height: 5rem;
    border-radius: 10%;
}

.rec-events-div2-1.pub {
    padding: 0% 0% 0% 1%;
}

.rec-events-div2-1-2.pub {
    text-align: left;
    width: 100%;
    padding: 0% 0% 1.0% 0%;
}

.rec-events-div2-1-2.pub,
.rec-events-div2-2.pub {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

.rec-events-div2-2.pub {
    text-align: right;
    padding: 0.7% 1% 1.0% 0%;
}

.rec-events-div4-2.pub {
    display: flex;
    align-items: flex-start;
    justify-content: right;
    flex-direction: row;
    width: 50%;
    margin-top: 0.5rem;
}

.rec-event-date.pub {
    font-size: 1.4rem;
    margin-bottom: 6.5%;
}



/* legislative action */

.rec-events-div2-3.leg {
    width: 20%;
    margin: 0% 1% 0% 1%;
}

.rec-event-seal.leg {
    height: 5rem;
}

.rec-events-div2-1.leg {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.rec-events-div2-1-2.leg {
    text-align: right;
    width: 100%;
    padding: 0% 0% 1.0% 0%;
}

.rec-events-div2-1-1.leg {
    display: flex;
    flex-direction: row;
}

.rec-event-pol-image-div.leg {
    margin-top: 1%;
    margin-left: 1rem;
    margin-right: 0.5rem;
}

.rec-event-pol-image.leg {
    height: 5rem;
    border-radius: 10%;
}

.rec-event-pol-party.leg {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-right: 0.5rem;
    margin-top: 1%;
    height: 95%;
}


.rec-events-div3-1.leg {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 0% 0% 0% 1%;
    min-width: 14rem !important;
    border-right: 1px solid var(--gray5);
}

.rec-event-act.leg {
    font-size: 1.6rem;
    margin-bottom: 5%;
    line-height: 1.9rem;
}

.rec-events-div4-2.leg {
    display: flex;
    align-items: flex-start;
    justify-content: left;
    flex-direction: row;
    margin: 0.3rem 0rem 0 1.35rem;
}

.rec-event-date.leg {
    font-size: 1.3rem;
}